<?php
/**
 * SocialEngine
 *
 * @category   Application_Core
 * @package    Authorization
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 * @version    $Id: Levels.php 7244 2010-09-01 01:49:53Z john $
 * @author     John
 */

/**
 * @category   Application_Core
 * @package    Authorization
 * @copyright  Copyright 2006-2010 Webligo Developments
 * @license    http://www.socialengine.net/license/
 */
class Topcmmchat_Model_DbTable_GetChat extends Engine_Db_Table
{
  protected $_rowClass = 'Topcmmchat_Model_GetChat';

  public function getChatConfig()
  {
		//get from 123flashchat table
	$table = Engine_Api::_()->getItemTable('chat');

	$db = $table->getAdapter();

	$where = $db->quoteInto('id = ?', '1');

	$this->view->row = $row = $table->fetchRow($where);

    return $row;
  }

  public function getUser(){
  	$loginuser = $this->getLoginsUser();
  	$this->view->user = $user = Engine_Api::_()->getItemTable('user')
      ->fetchRow(array('user_id = ?' => $loginuser->user_id));
      return $user;

//      $user->getIdentity

  }



  public function getLoginsUser(){
  	$loginid = !empty($_SESSION['login_id'])?$_SESSION['login_id']:'';
  	$table = Engine_Api::_()->getDbtable('logins', 'user');
  	$db = $table->getAdapter();
  	$where = $db->quoteInto('login_id = ?', $loginid);
    $this->view->loginuser = $loginuser = $table->fetchRow($where);
    return $loginuser;
  }
}